<template>
  <div>
    <!-- 上下绑定弹窗 -->
    <vol-box
      :lazy="true"
      :model.sync="true"
      title="上下托盘绑定"
      :height="200"
      :width="200"
      :padding="50"
    >
      <div class="formContainer">
        <el-form
          :inline="true"
          size="mini"
          :rules="upDownRules"
          ref="upDownForm"
          :model="upDownForm"
        >
          <el-form-item label="上托盘号:" prop="trayCodeUp" size="mini">
            <el-input
              size="mini"
              v-model="upDownForm.trayCodeUp"
              placeholder="请输入托盘号"
              id="TrayCode1"
              @input="inputChange(upDownForm.trayCodeUp, 1)"
              clearable
            ></el-input>
          </el-form-item>
          <el-form-item label="下托盘号:" prop="trayCodeDown" size="mini">
            <el-input
              size="mini"
              v-model="upDownForm.trayCodeDown"
              placeholder="请输入托盘号"
              id="TrayCode2"
              @input="inputChange(upDownForm.trayCodeUp, 2)"
              clearable
            ></el-input>
          </el-form-item>
        </el-form>
      </div>
      <div slot="footer">
        <Button type="info" @click="savechange('upDownForm')">绑定</Button>
        <Button type="error" @click="upDownBindBox = false">关闭</Button>
      </div>
    </vol-box>
  </div>
</template>
<script defer = "true">
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: { "vol-box": VolBox },
  methods: {},
  data() {
    return {
      modelT: false,
      transBorderForm: {
        oldBorder: "",
        newBorder: "",
      },
      upDownRules: {
        trayCodeUp: [
          { required: true, message: "请扫描上托盘号", trigger: "blur" },
          { min: 16, max: 16, message: "长度在16个字符", trigger: "blur" },
        ],
        trayCodeDown: [
          { required: true, message: "请扫描下托盘号", trigger: "blur" },
          { min: 16, max: 16, message: "长度在16个字符", trigger: "blur" },
        ],
      },
    };
  },
  methods: {
    savechange(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          let url = "/api/dt_boxing_head/BoxingBindUpDown";
          this.http
            .get(
              url,
              {
                upborder: this.upDownForm.trayCodeUp,
                downborder: this.upDownForm.trayCodeDown,
              },
              "上下托盘绑定中..."
            )
            .then((x) => {
              if (x.status) {
                this.$Notice.success({
                  title: "上下托盘绑定",
                  desc: "上下托盘绑定成功!",
                  duration: 5,
                });
                this.$emit("parentCall", ($vue) => {
                  $vue.refresh();
                });
                this.upDownForm.trayCodeUp = "";
                this.upDownForm.trayCodeDown = "";
                this.upDownBindBox = false;
              } else {
                this.$Notice.error({
                  title: "上下托盘绑定",
                  desc: "上下托盘绑定失败" + x.message,
                  duration: 5,
                });
              }
            });
        } else {
          return false;
        }
      });
    },
    savechange2(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          let url = "/api/dt_boxing_head/transBorde";
          this.http
            .get(
              url,
              {
                oldBorder: this.transBorderForm.oldBorder,
                newBorder: this.transBorderForm.newBorder,
              },
              "托盘更换中..."
            )
            .then((x) => {
              if (x.status) {
                this.$Notice.success({
                  title: "托盘更换",
                  desc: "托盘更换成功!",
                  duration: 5,
                });
                this.$emit("parentCall", ($vue) => {
                  $vue.refresh();
                });
                this.transBorderForm.oldBorder = "";
                this.transBorderForm.newBorder = "";
                this.transBorderBox = false;
              } else {
                this.$Notice.error({
                  title: "托盘更换",
                  desc: "托盘更换失败" + x.message,
                  duration: 5,
                });
              }
            });
        } else {
          return false;
        }
      });
    },
    savechange3(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          let url = "/api/dt_boxing_head/JinRuntransBorde";
          this.http
            .get(
              url,
              {
                oldBorder: this.transBorderForm.oldBorder,
                newBorder: this.transBorderForm.newBorder,
              },
              "托盘更换中..."
            )
            .then((x) => {
              if (x.status) {
                this.$Notice.success({
                  title: "托盘更换",
                  desc: "托盘更换成功!",
                  duration: 5,
                });
                this.$emit("parentCall", ($vue) => {
                  $vue.refresh();
                });
                this.transBorderForm.oldBorder = "";
                this.transBorderForm.newBorder = "";
                this.transBorderBox = false;
              } else {
                this.$Notice.error({
                  title: "托盘更换",
                  desc: "托盘更换失败" + x.message,
                  duration: 5,
                });
              }
            });
        } else {
          return false;
        }
      });
    },
    inputChange(value, no) {
      if (value != null && value != undefined && value.length >= 16) {
        // 自动切换
        this.$nextTick(() => {
          let tag = document.getElementById("TrayCode" + (no + 1));
          if (tag != null) {
            tag.focus();
          }
        });
      }
    },
  },
};
</script>
<style>
.formContainer {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}


</style>
